> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pardocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Previous Result

The **Get Previous Result** endpoint allows you to retrieve the extraction and splitter results of a previously processed document. This is useful for reviewing past extractions without reprocessing the document, saving both time and resources.

**Path Parameters:**

* `document_id` (string, required): The unique identifier of the document whose extraction result you want to retrieve.

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url https://api.pardocs.com/v1/documents/{document_id} \
    --header 'x-api-key: <api-key>'
  ```

  ```python Python theme={null}
  import requests

  url = "https://api.pardocs.com/v1/documents/{document_id}"
  headers = {"x-api-key": "<api-key>"}

  response = requests.get(url, headers=headers)

  print(response.json())
  ```
</RequestExample>


## OpenAPI

````yaml openapi-documents GET /v1/documents/{document_id}
openapi: 3.1.0
info:
  title: Document API
  version: 1.0.1
servers:
  - url: https://api.pardocs.com
security:
  - ApiKeyAuth: []
paths:
  /v1/documents/{document_id}:
    get:
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DocumentResultResponse'
        4XX:
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    DocumentResultResponse:
      type: object
      properties:
        document_id:
          type: string
          description: ''
        document_name:
          type: string
          description: ''
        document_created_at:
          type: integer
          description: ''
        results:
          type: array
          items:
            type: object
            properties:
              document_type:
                type: string
              pages:
                type: array
                items:
                  type: integer
              extracted:
                type: object
    Error:
      required:
        - detail
      type: object
      properties:
        detail:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````